Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Simple process monitor
Name:		gnome-system-monitor
Version:	2.26.1
Release:	1
License:	GNU/GPL
Group:		Graphical Desktop/GNOME
URL:		http://www.gnome.org/
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/2.26/gnome-system-monitor-%{version}.tar.bz2
Source200:	side.png

BuildRoot:	%{_tmppath}/%{name}-root

Requires:	libgnomeui
Requires:	libgtop
Requires:	libwnck

Requires(pre):		GConf
Requires(post):		GConf
Requires(post):		scrollkeeper
Requires(preun):	GConf
Requires(postun):	scrollkeeper

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: gtk2+-devel
BuildRequires: gtkmm-devel
BuildRequires: libgcc
BuildRequires: libgtop-devel
BuildRequires: librsvg-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libwnck-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: pangomm-devel
BuildRequires: zlib-devel

%description
gnome-system-monitor is a simple process and system monitor.

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gnome/gconf/schemas/gnome-system-monitor.schemas > /dev/null || :
fi

%postun 
scrollkeeper-update -q

%prep
%setup -q
cp %{SOURCE200} pixmaps/

%build
%configure \
--disable-selinux \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unwanted stuff
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root,-)
%_sysconfdir/gnome/gconf/schemas
%_bindir
%_applications
%_datadir/gnome/help
%_pixmaps
%_datadir/omf

%changelog
* Tue Apr 14 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Mon Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0.1-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.1-1
- Version update
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.2-2
- changed package group to Graphical Desktop/GNOME
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Sun Nov 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Initial release